Loading...
Searching...
No Matches
casacore::MSInterval Class Reference
ms package (libcasa_ms) » MeasurementSets_module

More...

`#include <MSIter.h>`

## Public Member Functions

| MSInterval (Double interval)
virtual | ~MSInterval ()
virtual int | comp (const void *obj1, const void *obj2) const
| Compare two objects, and return.
Double | getOffset () const
virtual void | setOffset (Double offset)
Double | getInterval () const
void | setInterval (Double interval)
Public Member Functions inherited from casacore::BaseCompare
virtual | ~BaseCompare ()
virtual DataType | dataType () const
| Get the data type of a straight-forward sort comparison in ObjCompare.

## Private Attributes

Double | interval_p
Double | offset_p

## Detailed Description

Small helper class to specify an 'interval' comparison

### Synopsis

Small helper class to specify an 'interval' comparison for table iteration by time interval.

Definition at line 55 of file MSIter.h.

## Constructor & Destructor Documentation

## MSInterval()

casacore::MSInterval::MSInterval | ( | Double | interval | ) |

inline explicit

Definition at line 58 of file MSIter.h.

References interval_p, and offset_p.

## ~MSInterval()

virtual casacore::MSInterval::~MSInterval | ( |  | ) |

inline virtual

Definition at line 59 of file MSIter.h.

## Member Function Documentation

## comp()

virtual int casacore::MSInterval::comp | ( | const void * | obj1,
|  | const void * | obj2 ) const

virtual

Compare two objects, and return.

- -1 if obj1 < obj2;
- 0 if obj1 == obj2;
- 1 otherwise.

Implements casacore::BaseCompare.

## getInterval()

Double casacore::MSInterval::getInterval | ( |  | ) | const

inline

Definition at line 63 of file MSIter.h.

References interval_p.

## getOffset()

Double casacore::MSInterval::getOffset | ( |  | ) | const

inline

Definition at line 61 of file MSIter.h.

References offset_p.

## setInterval()

void casacore::MSInterval::setInterval | ( | Double | interval | ) |

inline

Definition at line 64 of file MSIter.h.

References interval_p.

## setOffset()

virtual void casacore::MSInterval::setOffset | ( | Double | offset | ) |

inline virtual

Definition at line 62 of file MSIter.h.

References casacore::offset(), and offset_p.

## Member Data Documentation

## interval_p

Double casacore::MSInterval::interval_p

private

Definition at line 66 of file MSIter.h.

Referenced by getInterval(), MSInterval(), and setInterval().

## offset_p

Double casacore::MSInterval::offset_p

mutable private

Definition at line 67 of file MSIter.h.

Referenced by getOffset(), MSInterval(), and setOffset().

The documentation for this class was generated from the following file:

- ms/MeasurementSets/MSIter.h